#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

PA_MODULE_DIR := $$(readlink -f /usr/lib/pulse-*/modules)

ANDROID_API_VERSIONS := 28

%:
	dh $@ --parallel

override_dh_auto_configure:
	echo ${DEB_VERSION_UPSTREAM} > .tarball-version
	dh_auto_configure -- \
		-Dmodlibexecdir=${PA_MODULE_DIR} \
		$(NULL)

override_dh_auto_clean:
	if [ -f .tarball-version ]; then rm .tarball-version; fi
	dh_auto_clean

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info -l/usr/lib/${DEB_HOST_MULTIARCH}/pulseaudio:${PA_MODULE_DIR}

override_dh_missing:
	dh_missing --fail-missing
